> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List overrides

`GET https://api.pagerduty.com/schedules/{id}/overrides`

List overrides for a given time range.

A Schedule determines the time periods that users are On-Call.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#schedules)

Scoped OAuth requires: `schedules.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the schedule. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `since` | string (date-time) | yes | The start of the date range over which you want to search. |
| `until` | string (date-time) | yes | The end of the date range over which you want to search. |
| `editable` | boolean |  | When this parameter is present, only editable overrides will be returned. The result will only include the id of the override if this parameter is present. Only future overrides are editable. |
| `overflow` | boolean |  | Any on-call schedule entries that pass the date range bounds will be truncated at the bounds, unless the parameter overflow=true is passed. This parameter defaults to false. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 201

The collection of override objects returned by the query.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `overrides` | array of object | yes |  |
| `overrides[].id` | string |  | Read-only. |
| `overrides[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `overrides[].type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `overrides[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `overrides[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `overrides[].start` | string (date-time) | yes | The start date and time for the override. |
| `overrides[].end` | string (date-time) | yes | The end date and time for the override. |
| `overrides[].user` | object | yes |  |
| `overrides[].user.id` | string | yes | Read-only. |
| `overrides[].user.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `overrides[].user.type` | string | yes | One of: `user_reference`. |
| `overrides[].user.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `overrides[].user.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |

Example: Response Example

```json
{
  "overrides": [
    {
      "id": "PQ47DCP",
      "start": "2012-07-01T00:00:00-04:00",
      "end": "2012-07-02T00:00:00-04:00",
      "user": {
        "id": "PEYSGVF",
        "type": "user_reference",
        "summary": "Aurelio Rice",
        "self": "https://api.pagerduty.com/users/PEYSGVF",
        "html_url": "https://subdomain.pagerduty.com/users/PEYSGVF"
      }
    }
  ]
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
